Bug 4473 - Rsync tries to delete in dir it didn't create due to --dry-run
Rsync tries to delete in dir it didn't create due to --dry-run
Status: CLOSED FIXED
Product: rsync
Classification: Unclassified
Component: core
3.0.0
Other Linux
: P3 normal
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-27 18:20 UTC by Matt McCutchen
Modified: 2008-07-26 10:07 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt McCutchen 2007-03-27 18:20:00 UTC
Run the following in an empty directory:

mkdir src src/dir dest
rsync --dry-run -r --del src/ dest/

Result:

rsync: opendir "/home/matt/test/opendir-error/dest/dir" failed: No such file or directory (2)
rsync error: some files could not be transferred (code 23) at main.c(989) [sender=3.0.0cvs]

Rsync shouldn't be trying to delete in a directory it didn't actually create due to --dry-run.

The problem goes away if I pass --no-ir .
Comment 1 Wayne Davison 2007-07-14 17:08:06 UTC
I fixed this the other day.